Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001599KdenliveUser Interfacepublic2010-05-16 17:232010-09-14 23:00
Reporterfermin 
Assigned Toj-b-m 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformi386OSFedora 12OS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.8 
Summary0001599: Crash when press "v" key
DescriptionKdenlive crashes when you press the "v" key
Steps To Reproduce- Open kdenlive
- Press "v" key
- Crash
Additional InformationApplication: kdenlive (0.7.8)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32.11-99.fc12.i686 i686
Distribution: "Fedora release 12 (Constantine)"

-- Information about the crash:
<In detail, tell us what you were doing when the application crashed.>

The crash can be reproduced every time.

 -- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0xb78bb7a0 (LWP 24211))]

Thread 3 (Thread 0xb442db70 (LWP 24224)):
#0 0x00d15416 in __kernel_vsyscall ()
#1 0x00781f72 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
0000002 0x00415839 in mlt_consumer_get_frame (this=0x89fee10) at mlt_consumer.c:502
0000003 0x00415980 in mlt_consumer_rt_frame (this=0x89fee10) at mlt_consumer.c:900
0000004 0x017c3864 in consumer_thread (arg=0x89fee10) at consumer_sdl_still.c:558
0000005 0x0077dab5 in start_thread () from /lib/libpthread.so.0
0000006 0x00943dae in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb3a2cb70 (LWP 24225)):
#0 0x00d15416 in __kernel_vsyscall ()
#1 0x00781c45 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
0000002 0x017c30df in consumer_thread (arg=0x89f0068) at consumer_sdl_preview.c:428
0000003 0x0077dab5 in start_thread () from /lib/libpthread.so.0
0000004 0x00943dae in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb78bb7a0 (LWP 24211)):
[KCrash Handler]
0000006 0x080e553e in KdenliveDoc::getBaseClip(QString const&) ()
0000007 0x081453ed in CustomTrackView::insertZoneOverwrite(QStringList, int) ()
0000008 0x080811c6 in MainWindow::slotInsertClipOverwrite() ()
0000009 0x080a2dfd in MainWindow::qt_metacall(QMetaObject::Call, int, void**) ()
0000010 0x073b45db in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
0000011 0x073c34af in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
0000012 0x041e051a in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
0000013 0x041e1eac in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
0000014 0x041e3068 in QAction::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000015 0x077924f4 in KAction::event(QEvent*) () from /usr/lib/libkdeui.so.5
0000016 0x041e5d2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000017 0x041ec556 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000018 0x078627cb in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000019 0x073afc03 in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000020 0x0421e8fd in ?? () from /usr/lib/libQtGui.so.4
0000021 0x04220847 in ?? () from /usr/lib/libQtGui.so.4
0000022 0x041ee102 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000023 0x078627cb in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000024 0x073afc03 in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000025 0x041e6a6f in ?? () from /usr/lib/libQtGui.so.4
0000026 0x0428eefe in ?? () from /usr/lib/libQtGui.so.4
0000027 0x042912a9 in ?? () from /usr/lib/libQtGui.so.4
0000028 0x042678b7 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
0000029 0x042944fa in ?? () from /usr/lib/libQtGui.so.4
0000030 0x00a16fb8 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
0000031 0x00a1a8e8 in ?? () from /lib/libglib-2.0.so.0
0000032 0x00a1aa14 in g_main_context_iteration () from /lib/libglib-2.0.so.0
0000033 0x073d7e46 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000034 0x042940e6 in ?? () from /usr/lib/libQtGui.so.4
0000035 0x073ae2da in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000036 0x073ae61a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000037 0x073b0ce7 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000038 0x041e5dd8 in QApplication::exec() () from /usr/lib/libQtGui.so.4
0000039 0x0807ebad in main ()
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0005140)
ttill (developer)
2010-05-16 18:04

Thanks for your report.
v is the default shortcut for inserting a clip into the timeline in overwrite mode.
The crash occurs only if no clip is selected.
Which SVN rev do you use? This was already fixed in svn rev. 4396.
(0005141)
fermin (reporter)
2010-05-16 21:56

I'm using a svn revision from about april 4. Sorry, I don't know which one.
Now, I downloaded svn rev 4447, and the bug has gone ;)
I will try to download and use svn revs before reporting more bugs.

- Issue History
Date Modified Username Field Change
2010-05-16 17:23 fermin New Issue
2010-05-16 18:04 ttill Note Added: 0005140
2010-05-16 21:56 fermin Note Added: 0005141
2010-05-18 11:59 j-b-m Status new => resolved
2010-05-18 11:59 j-b-m Fixed in Version => Recent git
2010-05-18 11:59 j-b-m Resolution open => fixed
2010-05-18 11:59 j-b-m Assigned To => j-b-m
2010-09-14 11:01 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:00 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker